<?php // Do not delete these lines
  if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
    die ('Please do not load this page directly. Thanks!');
  }
  if (!empty($post->post_password)) {
    if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {
      ?>
      <p class="alert">This post is password protected. Enter the password to view comments.</p>
      <?php
      return;
    }
  }
  // Separates comments and pings
  $countComments = 0; $countPings = 0;
  if ($post->comment_count > 0) {
    $comments_list = array();
    $pings_list = array();
    foreach ($comments as $comment) {
      if ('comment' == get_comment_type()) $comments_list[++$countComments] = $comment;
      else $pings_list[++$countPings] = $comment;
    }
  }
?>
<div id="commentblock">
  <h3 id="comments"><?php echo '<span class="cmtid" id="ncmt">' . $countComments . '</span> Comment(s)'; ?>.&nbsp;<a href="#addcomment" class="add">Add a comment</a>&nbsp;or&nbsp;<a href="<?php trackback_url(); ?>">Trackback</a></h3>
  <?php /* Check for comments */ if ($countComments > 0) { $i = 0; ?>
  <ul id="commentlist">
    <?php foreach ($comments_list as $comment) { $i++; ?>
    <li id="comment-<?php echo $comment->comment_ID; ?>"<?php if ($i % 2) echo ' class="odd"'; ?>>
      <?php if(function_exists('get_avatar')) { ?>
      <div class="gravatar"><?php echo get_avatar(get_comment_author_email(),'48'); ?></div>
      <?php } ?>
      <div class="cmthead">
        <span class="cmtdate">
          <strong><?php if (get_comment_author_url()) { ?><a id="comment-author-<?php comment_ID(); ?>" href="<?php comment_author_url(); ?>"><?php } else { ?><span id="comment-author-<?php comment_ID(); ?>"><?php } comment_author(); ?><?php if (get_comment_author_url()) { ?></a><?php } else { ?></span><?php } ?></strong>&nbsp;<a title="Permalink to this comment" href="#comment-<?php echo $comment->comment_ID; ?>">₪</a>&nbsp;<?php echo mysql2date('H:i M d, Y', $comment->comment_date); ?>&nbsp;<a href="javascript:void(0);" onclick="ReplyComment('<?php comment_ID(); ?>', 'comment');" class="add" title="Reply">✉</a>
        </span>
      </div>
      <div class="cmtbody">
        <?php comment_text(); ?>
        <?php if ('0' == $comment->comment_approved) { ?><p class="alert"><em>Your comment is awaiting moderation.</em></p><?php } ?>
      </div>
    </li>
    <?php } ?>
  </ul>
  <?php } if ('open' == $post->comment_status and (is_single() or is_page())) { ?>
  <div id="commentformbox">
    <h3 id="addcomment">Leave a comment &darr;</h3>
    <p class="comment-welcomeback">Welcome back，<span id="comment-author-name"></span>&nbsp;(<a href="javascript:toggleCommentAuthorInfo();" id="toggle-comment-author-info">change</a>)</p>
    <script type="text/javascript">
      var changeMsg = "change";
      var closeMsg = "close";
      function toggleCommentAuthorInfo() {
        jQuery('#comment-personaldetails').slideToggle('slow', function() {
          if ( jQuery('#comment-personaldetails').css('display') == 'none' ) {
            jQuery('#toggle-comment-author-info').text(changeMsg);
          } else {
            jQuery('#toggle-comment-author-info').text(closeMsg);
          }
        });
      }
    </script>
    <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
      <div id="comment-personaldetails">
        <p><input type="text" name="author" id="author" value="" tabindex="1" /><label for="author">Name<sup>**</sup></label></p>
        <p><input type="text" name="email" id="email" value="" tabindex="2" /><label for="email">Email<sup>**</sup></label></p>
        <p><input type="text" name="url" id="url" value="" tabindex="3" /><label for="url">Website</label></p>
      </div>
      <?php if (class_exists('emotions')) { emotions::bar(); } ?>
      <p><textarea name="comment" id="comment" tabindex="4" rows="10" cols="10"></textarea></p>
      <div class="alignleft">
        <input type="submit" name="submit" id="submit" tabindex="5" value="Submit Comment" />
        <span id="commentload">submitting...</span><span id="commenterror"></span>
        <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
        <input type="hidden" name="comment_reply_ID" id="comment_reply_ID" value="0" />
        <input type="hidden" name="comment_count" value="<?php echo $countComments; ?>" />
        <?php do_action('comment_form', $post->ID); ?>
      </div>
      <div class="alignright top"><a href="#content">Back to top &uarr;</a></div>
      <div class="clear"></div>
    </form>
  </div>
  <?php } else { /* Comments closed */ ?>
  <div><p class="alert">Comments are closed.</p></div>
  <?php } ?>
  <?php /* Check for pings */ if ($countPings > 0) { ?>
  <h3 id="pings"><?php echo '<span class="cmtid" id="npng">' . $countPings . '</span>'; ?>Pingbacks&nbsp;&amp;&nbsp;Trackbacks</h3>
  <ul id="pinglist">
    <?php foreach ($pings_list as $comment) {
      if ('pingback' == get_comment_type()) $pingtype = 'Pingback';
      else $pingtype = 'Trackback';
    ?>
    <li id="comment-<?php echo $comment->comment_ID ?>">
      <div><p><small><?php comment_author_link(); ?>&nbsp;<strong><?php echo $pingtype; ?></strong> on <a title="Permalink to this comment" href="#comment-<?php echo $comment->comment_ID; ?>"><?php echo mysql2date('m-d-Y H:i', $comment->comment_date); ?></a></small></p></div>
    </li>
    <?php } ?>
  </ul>
  <?php } ?>
</div> <!-- #commentblock -->