<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head profile="http://gmpg.org/xfn/11">
  <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
  <title><?php
    // Page or Single Post
    if ( ( is_page() and !is_front_page() and !is_home() ) or is_single() ) {
      the_title();
    // Category Archive
    } elseif ( is_category() ) {
      printf( __('Category Archive for &lsquo;%s&rsquo;','k2_domain'), single_cat_title('', false) );
    // Tag Archive
    } elseif ( function_exists('is_tag') and function_exists('single_tag_title') and is_tag() ) {
      printf( __('Tag Archive for &lsquo;%s&rsquo;','k2_domain'), single_tag_title('', false) );
    // General Archive
    } elseif ( is_archive() ) {
      printf( __('%s Archive','k2_domain'), wp_title('', false) );
    // Search Results
    } elseif ( is_search() ) {
      printf( __('Search Results for &lsquo;%s&rsquo;','k2_domain'), attribute_escape(get_search_query()) );
    }
    // Insert separator for the titles above
    if ( !is_front_page() and !is_home() and !is_404() ) {
      _e(' at ','k2_domain');
    }
    // Finally the blog name
    bloginfo('name');
    ?></title>
  <link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
  <!--[if gte IE 5]><style type="text/css">@import url(<?php bloginfo('template_url'); ?>/ie.css.php);</style><![endif]-->
  <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
  <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
  <link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
  <script type="text/javascript" src="http://www.google.com/jsapi"></script>
  <script type="text/javascript">google.load("jquery", "1.2.6");var base="<?php bloginfo('url'); ?>";var md5="<?php echo md5(get_settings('home')) ;?>";</script>
  <script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/common.js.php"></script>
  <!--<?php bloginfo('description'); ?>-->
  <?php wp_head(); ?>
</head>
<body>
<div id="arcload">Stand by...</div>
<div id="page">
<div id="header"></div>
<div id="mainblock">
  <div id="leftcol">
    <div id="content">
      <hr />
