<?php get_header(); ?>
    	<?php if (function_exists(refer_thanks)) refer_thanks(); ?>
    	<?php if (have_posts()) { ?>
    	<h2 class="pagetitle">Search Results for '<?php echo get_query_var('s'); ?>'</h2>
    		<?php while (have_posts()) : the_post(); ?>
    		<div class="postdiv">
    			<div class="post" id="post-<?php the_ID(); ?>">
    				<p class="entry-date"><?php the_time('F j, Y'); ?></p>
    				<h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
    				<div class="entry">
    					<?php the_content('[Read More]'); ?>
    				</div>
    				<?php if (function_exists('the_tags')) { ?>
    				<div class="entry-tags"><?php the_tags('<strong>Tags:</strong> ', ', ', '<br />'); ?></div>
    				<?php } ?>
    			</div> <!-- .post -->
      		<div class="clear"></div>
      	</div>
    		<?php endwhile; ?>
    		<div class="navigation">
    			<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } else { ?>
    			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
    			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
    			<?php } ?>
    		</div> <!-- .navigation -->
    		<div class="clear"></div>
    	<?php } else { ?>
    		<h2 class="center">Oops! Try a different search?</h2>
    		<div class="center">
      		<p>Sorry, but you are looking for something that isn't here.</p>
      	</div>
      	<h3 class="pagetitle">Archives by Month:</h3>
      	<ul class="archive-list"><?php wp_get_archives('show_post_count=1'); ?></ul>
      	<div class="clear"></div>
      	<h3 class="pagetitle">Archives by Subject:</h3>
      	<ul class="archive-list"><?php wp_list_cats('hierarchical=0&optioncount=1'); ?></ul>
      	<div class="clear"></div>
      	<h3 class="pagetitle">Tag Cloud:</h3>
      	<?php wp_tag_cloud(); ?>
    	<?php } ?>
  	</div> <!-- #content -->
  </div> <!-- #leftcol -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>