<?php get_header(); ?>
      <?php if (function_exists(refer_thanks)) refer_thanks(); ?>
      <?php if (have_posts()) { ?>
        <?php while (have_posts()) : the_post(); ?>
        <div class="postdiv">
          <div class="post" id="post-<?php the_ID(); ?>">
            <p class="entry-date"><?php the_time('F j, Y'); ?></p>
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
            <div class="clear"></div>
            <div class="entry">
              <?php the_content('[Read More]'); ?>
            </div>
            <div class="entry-meta">
              <span class="entry-cats"><?php the_category(','); ?>&nbsp;/&nbsp;</span>
              <span class="entry-cmts"><a href="<?php comments_link(); ?>"><?php comments_number('No Comments', '1 Comment', '% Comments'); ?></a></span>
              <span class="entry-tags"><?php the_tags('<strong>Tags:</strong> ', ', ', '<br />'); ?></span>
            </div>
          </div> <!-- .post -->
          <div class="clear"></div>
        </div>
        <?php endwhile; ?>
        <div class="navigation">
          <?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } elseif(function_exists('wp_paginator')) { wp_paginator(); } else { ?>
          <div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
          <div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
          <?php } ?>
        </div> <!-- .navigation -->
        <div class="clear"></div>
      <?php } else { ?>
        <h2 class="center">Not Found</h2>
        <p class="center">Sorry, but you are looking for something that isn't here.</p>
      <?php } ?>
    </div> <!-- #content -->
  </div> <!-- #leftcol -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>