<?php /*
Template Name: Page with Comments
*/ ?>
<?php get_header(); ?>
      <?php if (function_exists(refer_thanks)) refer_thanks(); ?>
      <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
      <div class="postdiv">
        <div class="post" id="post-<?php the_ID(); ?>">
          <p class="entry-date"><?php the_time('F j, Y'); ?></p>
          <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
          <div class="clear"></div>
          <div class="entry">
            <?php the_content('[Read More]'); ?>
          </div>
          <div class="entry-meta">
            <span class="entry-cats"><?php the_category(','); ?>&nbsp;/&nbsp;</span>
            <span class="entry-cmts"><a href="<?php comments_link(); ?>"><?php comments_number('No Comments', '1 Comment', '% Comments'); ?></a></span>
            <span class="entry-tags"><?php the_tags('<strong>Tags:</strong> ', ', ', '<br />'); ?></span>
          </div>
        </div> <!-- .post -->
        <div class="clear"></div>
      </div>
      <?php endwhile; endif; ?>
    </div> <!-- #content -->
    <?php comments_template(); ?>
    <div class="clear"></div>
  </div> <!-- #leftcol -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>