  <div id="sidebar">
    <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
    <div class="alpha"> <!-- .alpha starts here -->
      <div class="widget rss">
        <?php $feedurl = get_bloginfo('rss2_url'); /* You can use another feed url */ ?>
        <h3 class="widget-header">Subscribe to Feeds</h3>
        <div class="widget-content blocklink">
          <ul>
            <li style="background:none;">
              <select name="reader-dropdown" onchange='document.location.href=this.options[this.selectedIndex].value;'>
                <option value=""><?php echo attribute_escape(__('-- Select a Reader --')); ?></option>
                <option value="http://www.bloglines.com/sub/<?php echo $feedurl; ?>">Bloglines</option>
                <option value="http://fusion.google.com/add?feedurl=<?php echo $feedurl; ?>">Google Reader</option>
                <option value="http://www.netvibes.com/subscribe.php?url=<?php echo $feedurl; ?>">Netvibes</option>
                <option value="http://www.newsgator.com/ngs/subscriber/subfext.aspx?url=<?php echo $feedurl; ?>">Newsgator</option>
                <option value="http://www.rojo.com/add-subscription?resource=<?php echo $feedurl; ?>">Rojo</option>
                <option value="http://add.my.yahoo.com/rss?url=<?php echo $feedurl; ?>">Yahoo!</option>
                <option value="<?php echo $feedurl; ?>">Others</option>
                <option value="http://www.anothr.com/add?url=<?php echo $feedurl; ?>">IM Alerts</option>
              </select>
            </li>
            <!-- These two icons are optional, you can replace the raw feed url with a burnt one. -->
            <li><div class="fs icon"></div><a href="<?php bloginfo('rss2_url'); ?>">FeedSky</a></li>
            <li><div class="fb icon"></div><a href="<?php bloginfo('rss2_url'); ?>">FeedBurner</a></li>
          </ul>
        </div>
      </div>
      <?php if (function_exists('vote_poll') && !in_pollarchive()) { ?>
      <div class="widget">
        <div class="widget-content">
          <ul><li>
            <?php get_poll();?>
          </li></ul>
        </div>
      </div>
      <?php } if (is_single()) { ?>
      <div class="widget">
        <h3 class="widget-header">See Also</h3>
        <div class="widget-content blocklink"><?php if (function_exists('wp23_related_posts')) { wp23_related_posts(); } ?></div>
      </div>
      <?php } if (function_exists('wp_recentcomments') && is_home()) { ?>
      <div class="widget">
        <h3 class="widget-header">Latest Comments</h3>
        <div class="widget-content">
          <ul><?php wp_recentcomments('limit=6&length=20&post=false&pingback=false&trackback=false&navigator=false&avatar_size=28'); ?></ul>
        </div>
      </div>
      <?php } if (function_exists('akpc_most_popular')) { ?>
      <div class="widget">
        <h3 class="widget-header">Hotest Top10</h3>
        <div class="widget-content blocklink">
          <ul><?php akpc_most_popular(); ?></ul>
        </div>
      </div>
      <?php } if (!is_page('blog-archives')) { ?>
      <div class="widget">
        <h3 class="widget-header">Monthly Archives</h3>
        <div class="widget-content">
          <ul><li style="background:none;">
            <select name="archive-dropdown" onchange='document.location.href=this.options[this.selectedIndex].value;'>
              <option value=""><?php echo attribute_escape(__('-- Select a Month --')); ?></option>
              <?php wp_get_archives('type=monthly&format=option&show_post_count=1'); ?>
            </select>
          </li></ul>
        </div>
      </div>
      <div class="widget">
        <h3 class="widget-header">Categories</h3>
        <div class="widget-content blocklink">
          <ul><?php wp_list_cats('sort_column=name&hide_empty=0&optioncount=0&hierarchical=0'); ?></ul>
        </div>
      </div>
      <?php } ?>
    </div> <!-- .alpha -->
    <div class="beta"> <!-- .beta starts here -->
      <?php wp_list_bookmarks('between=<br />&show_images=0&orderby=name&category_before=<div class="widget">&category_after=</div></div>& categorize=0&title_li=Blogroll&title_before=<h3 class="widget-header">&title_after=</h3><div class="widget-content">'); ?>
    </div> <!-- .beta -->
    <?php endif; ?>
  </div> <!-- #sidebar -->
  <div class="clear"></div>
